Field schema for an import type
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/imports/specs \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/imports/specs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/imports/specs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "master_skus",
"label": "<string>",
"description": "<string>",
"fields": [
{
"field": "MASTER_SKU",
"type": "<string>",
"required": true,
"description": "<string>",
"allowedValues": [
"<unknown>"
]
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Imports
Field schema for an import type
Return the field schema for a single import type — the column names, data types,
whether each column is required, and any allowed enum values. Use this to validate
a CSV/JSON payload before submitting it to POST /imports.
GET
/
imports
/
specs
Field schema for an import type
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Import type key (one of the keys returned by GET /imports/types)
Response
Import field definitions
Show child attributes
Show child attributes
⌘I